; site-start script for Emacs, initializes Bongo
; Evgenii Terechkov, Jun 2007, <evg@altlinux.ru>

(add-to-list 'load-path "/usr/share/emacs/site-lisp/bongo")

(autoload 'bongo "bongo" "Start Bongo by switching to a Bongo buffer.")
(require 'bongo)

(defun bongo-show-osd ()
  "Display what Bongo is playing on the OSD."
  (interactive)
  (let* ((player (with-bongo-playlist-buffer
                  (or bongo-player
                      (error "No currently playing track"))))
         (elapsed-time (and player (bongo-player-elapsed-time player)))
         (total-time (and player (bongo-player-total-time player)))
         (description (bongo-format-infoset
                       (bongo-player-infoset player)))
         (string (if (not (and elapsed-time total-time))
                     description
                   (format "%s [%s/%s]" description
                           (bongo-format-seconds elapsed-time)
                           (bongo-format-seconds total-time)))))
    (prog1 string
      (osd-show-string string)
      )
    )
  )

(require 'bongo-mplayer)
